Name:           xz-java
Version:        1.1
Release:        %mkrel 4
Summary:        Java implementation of XZ data compression
Group:          Development/Java
BuildArch:      noarch

License:        Public Domain
URL:            http://tukaani.org/xz/java.html
Source0:        http://tukaani.org/xz/xz-java-%{version}.zip
# Forwarded upstream:
# http://www.mail-archive.com/xz-devel@tukaani.org/msg00137.html
Patch0:         xz-java-osgi.patch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel > 0:1.6.0
BuildRequires:  ant
Requires:       jpackage-utils
Requires:       java > 0:1.6.0

%description
A complete implementation of XZ data compression in Java.

It features full support for the .xz file format specification version 1.0.4,
single-threaded streamed compression and decompression, single-threaded
decompression with limited random access support, raw streams (no .xz headers)
for advanced users, including LZMA2 with preset dictionary.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -c %{name}-%{version}
%patch0

%build
# During documentation generation the upstream build.xml tries to download
# package-list from oracle.com. Create a dummy package-list to prevent that.
mkdir -p extdoc && touch extdoc/package-list

ant maven

%install
# jar
install -dm 755 %{buildroot}%{_javadir}
install -m 644 build/jar/xz.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf %{name}.jar %{buildroot}%{_javadir}/xz.jar
# javadoc
install -dm 755 %{buildroot}%{_javadocdir}
cp -R build/doc %{buildroot}%{_javadocdir}/%{name}
# pom
install -dm 755 %{buildroot}%{_mavenpomdir}
install -pm 644 build/maven/xz-%{version}.pom %{buildroot}/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc COPYING README THANKS
%{_javadir}/%{name}.jar
%{_javadir}/xz.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%doc COPYING
%{_javadocdir}/%{name}



%changelog

* Sat Jan 19 2013 dmorgan <dmorgan> 1.1-4.mga3
+ Revision: 389577
- Add patch for OSGi Manifest.

* Mon Jan 14 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 387538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 dmorgan <dmorgan> 1.1-2.mga3
+ Revision: 323192
- Build with java7

* Wed Sep 12 2012 dmorgan <dmorgan> 1.1-1.mga3
+ Revision: 292681
- New version

* Fri Jun 08 2012 dmorgan <dmorgan> 1.0-1.mga3
+ Revision: 257706
- imported package xz-java


* Thu Apr 5 2012 Mikolaj Izdebski <mizdebsk@redhat.com> 1.0-2
- Fix issues found during package review
- Include missing COPYING files.
- Add missing RPM group.
- Comment on touching package-list.

* Wed Apr 4 2012 Mikolaj Izdebski <mizdebsk@redhat.com> 1.0-1
- Initial packaging.
